Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
call_queue Struct Reference

## Data Fields
Tcl_Event | ev
VALUE(* | func )()
int | argc
VALUE * | argv
VALUE | interp
int * | done
int | safe_level
VALUE | result
VALUE | thread

## Detailed Description

Definition at line 427 of file tcltklib.c.

## Field Documentation

int call_queue::argc

Definition at line 430 of file tcltklib.c.

Referenced by call_queue_mark().

VALUE* call_queue::argv

Definition at line 431 of file tcltklib.c.

Referenced by call_queue_mark().

int* call_queue::done

Definition at line 433 of file tcltklib.c.

Referenced by !RTEST().

Tcl_Event call_queue::ev

Definition at line 428 of file tcltklib.c.

VALUE(* call_queue::func)()

Definition at line 429 of file tcltklib.c.

VALUE call_queue::interp

Definition at line 432 of file tcltklib.c.

Referenced by !RTEST(), and call_queue_mark().

VALUE call_queue::result

Definition at line 435 of file tcltklib.c.

Referenced by call_queue_mark().

int call_queue::safe_level

Definition at line 434 of file tcltklib.c.

VALUE call_queue::thread

Definition at line 436 of file tcltklib.c.

Referenced by call_queue_mark().

The documentation for this struct was generated from the following file:

- ext/tk/tcltklib.c